%define api		1
%define dbusmajor	0
%define major		1
%define libname		%mklibname %{name} %{major}
%define libdbus		%mklibname %{name}-dbus %{api} %{dbusmajor}
%define develname	%mklibname -d %{name}

%define busname		ca.desrt.dconf-editor

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	Configuration backend for Glib
Name:		dconf
Version:	0.27.1
Release:	%mkrel 1
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:		dconf-0.14.1-dconfsu.patch
License:	LGPLv2+ and GPLv2+ and GPLv3+
Group:		System/Libraries
URL:		https://wiki.gnome.org/dconf
#---------------------------------------------
BuildRequires: desktop-file-utils
BuildRequires: gtk-doc
BuildRequires: intltool
BuildRequires:%{_lib}atk1.0-devel
BuildRequires:%{_lib}cairo-devel
BuildRequires:%{_lib}dbus-1-devel
BuildRequires:%{_lib}gdk_pixbuf2.0_0-devel
BuildRequires:%{_lib}glib2.0-devel
BuildRequires:%{_lib}gtk+3.0-devel
BuildRequires:%{_lib}pango1.0-devel
BuildRequires:%{_lib}xml2-devel
BuildRequires: vala
BuildRequires: vala-devel 
BuildRequires:	meson
#---------------------------------------------
Requires:	dbus


%description
This is a configuration backend for Glib's GSettings and part of GNOME 3.0.


%package -n %{libname}
Group:			System/Libraries
Summary:		Configuration backend library for Glib

%description -n %{libname}
This is a configuration backend for Glib's GSettings and part of GNOME 3.0.

%package -n %{develname}
Group:		Development/Libraries
Summary:	Configuration backend library for Glib - development files
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{develname}
This is a configuration backend for Glib's GSettings and part of GNOME 3.0.

%prep
%setup -q
%apply_patches

%build
%meson -Denable-gtk-doc=true
%meson_build


%install
%meson_install
#we need this beacuse ibus and gdm installs file there
install -d %{buildroot}%{_sysconfdir}/dconf/db
install -d %{buildroot}%{_sysconfdir}/dconf/profile


%find_lang %{name}

%post 
%{_bindir}/gio-querymodules-%{__isa_bits} %{_libdir}/gio/modules

%postun
if [ "$1" = "0" ]; then
 %{_bindir}/gio-querymodules-%{__isa_bits} %{_libdir}/gio/modules
fi

%files -f %{name}.lang
%doc NEWS
%dir %{_sysconfdir}/dconf
%dir %{_sysconfdir}/dconf/db
%dir %{_sysconfdir}/dconf/profile
%{_bindir}/dconf
%{_mandir}/man?/dconf.*
%{_mandir}/man1/dconf-service.*
%{_libexecdir}/dconf-service
%{_datadir}/bash-completion/completions/dconf
%{_datadir}/dbus-1/services/ca.desrt.dconf.service
%{_libdir}/gio/modules/libdconfsettings.*


%files -n %{libname}
%{_libdir}/libdconf.so.%{major}*

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/dconf
%{_libdir}/libdconf.so
%{_libdir}/pkgconfig/dconf.pc
%{_includedir}/dconf
%{_datadir}/vala/vapi/dconf*


%changelog
* Sat Feb 17 2018 bb2 <bb2> - 0.27.1-1pclos2018
- new version

* Thu Jan 21 2016 bb <bb> 0.25.1-1pclos2016
- update

* Wed Oct 14 2015 bb <bb> 0.24.0-2pclos2015
- rebuild for updates

* Sun Oct 11 2015 bb <bb> 0.24.0-1pclos2015
- update

* Fri Apr 10 2015 bb <bb> 0.22.0-1pclos2015
- update
